tests/testMultiIndex.py

aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1877844 kB, VmSize: 1877844 kB, VmRSS: 310404 kB, VmData: 397868 kB, Mmaps: 1642, Mmaps: 1877844 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1879012 kB, VmSize: 1878756 kB, VmRSS: 311528 kB, VmData: 398780 kB, Mmaps: 1643, Mmaps: 1878756 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1879144 kB, VmSize: 1878648 kB, VmRSS: 311496 kB, VmData: 398912 kB, Mmaps: 1629, Mmaps: 1878648 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00069599999999959
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+7/meas_extensions_astrometryNet-master-g43362ee2f3+7/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.02; loadPixelBoxStartUserTime=3.622592; loadPixelBoxStartSystemTime=0.407742; loadPixelBoxStartMaxResidentSetSize=311740; loadPixelBoxStartMinorPageFaults=87001; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=48; loadPixelBoxStartBlockOutputs=88; loadPixelBoxStartVoluntaryContextSwitches=35; loadPixelBoxStartInvoluntaryContextSwitches=147461
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.03; loadSkyCircleStartUserTime=3.638436; loadSkyCircleStartSystemTime=0.409724; loadSkyCircleStartMaxResidentSetSize=311740; loadSkyCircleStartMinorPageFaults=87019; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=48; loadSkyCircleStartBlockOutputs=96; loadSkyCircleStartVoluntaryContextSwitches=35; loadSkyCircleStartInvoluntaryContextSwitches=147461
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.03; _readIndexFilesStartUserTime=3.639603; _readIndexFilesStartSystemTime=0.40974299999999997; _readIndexFilesStartMaxResidentSetSize=311740; _readIndexFilesStartMinorPageFaults=87019; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=48; _readIndexFilesStartBlockOutputs=96; _readIndexFilesStartVoluntaryContextSwitches=35; _readIndexFilesStartInvoluntaryContextSwitches=147461
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.04; _readIndexFilesEndUserTime=3.640835; _readIndexFilesEndSystemTime=0.409769; _readIndexFilesEndMaxResidentSetSize=311740; _readIndexFilesEndMinorPageFaults=87026; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=48; _readIndexFilesEndBlockOutputs=96; _readIndexFilesEndVoluntaryContextSwitches=35; _readIndexFilesEndInvoluntaryContextSwitches=147461
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.05; loadSkyCircleEndUserTime=3.6451000000000002; loadSkyCircleEndSystemTime=0.41068699999999997; loadSkyCircleEndMaxResidentSetSize=311740; loadSkyCircleEndMinorPageFaults=87291; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=48; loadSkyCircleEndBlockOutputs=96; loadSkyCircleEndVoluntaryContextSwitches=35; loadSkyCircleEndInvoluntaryContextSwitches=147461
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.06; loadPixelBoxEndUserTime=3.653725; loadPixelBoxEndSystemTime=0.41075599999999995; loadPixelBoxEndMaxResidentSetSize=311740; loadPixelBoxEndMinorPageFaults=87326; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=48; loadPixelBoxEndBlockOutputs=96; loadPixelBoxEndVoluntaryContextSwitches=35; loadPixelBoxEndInvoluntaryContextSwitches=147461
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
/build/miniconda3-4.2.12/lib/python3.5/site-packages/astropy/config/configuration.py:541: ConfigurationMissingWarning: Configuration defaults will be used due to OSError:Could not find unix home directory to search for astropy config dir on None
  warn(ConfigurationMissingWarning(msg))
/build/Linux64/python_future/0.16.0/lib/python/future-0.16.0-py3.5.egg/past/builtins/misc.py:79: DeprecationWarning: 'U' mode is deprecated
  with open(filename, "rbU") as fin:
/build/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+7/meas_extensions_astrometryNet-master-g43362ee2f3+7/python/lsst/meas/extensions/astrometryNet/multiindex.py:213: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=len(self._multiInds))
/build/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+7/meas_extensions_astrometryNet-master-g43362ee2f3+7/python/lsst/meas/extensions/astrometryNet/multiindex.py:221: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=numFilenames)
/build/Linux64/astrometry_net/0.67.123ff3e.lsst1+1/lib/python/astrometry/util/ttime.py:13: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/11331/status' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
/build/Linux64/astrometry_net/0.67.123ff3e.lsst1+1/lib/python/astrometry/util/ttime.py:20: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/11331/maps' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.41; _readIndexFilesStartUserTime=4.009718; _readIndexFilesStartSystemTime=0.417699; _readIndexFilesStartMaxResidentSetSize=312640; _readIndexFilesStartMinorPageFaults=89272; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=48; _readIndexFilesStartBlockOutputs=104; _readIndexFilesStartVoluntaryContextSwitches=35; _readIndexFilesStartInvoluntaryContextSwitches=147461
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.42; _readIndexFilesEndUserTime=4.014; _readIndexFilesEndSystemTime=0.41973099999999997; _readIndexFilesEndMaxResidentSetSize=312736; _readIndexFilesEndMinorPageFaults=89461; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=48; _readIndexFilesEndBlockOutputs=104; _readIndexFilesEndVoluntaryContextSwitches=35; _readIndexFilesEndInvoluntaryContextSwitches=147461
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1879408 kB, VmSize: 1879408 kB, VmRSS: 312736 kB, VmData: 399300 kB, Mmaps: 1647, Mmaps: 1879408 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1880324 kB, VmSize: 1880068 kB, VmRSS: 313616 kB, VmData: 399960 kB, Mmaps: 1647, Mmaps: 1880068 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1880324 kB, VmSize: 1879440 kB, VmRSS: 313344 kB, VmData: 399704 kB, Mmaps: 1630, Mmaps: 1879440 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00069699999999973
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+7/meas_extensions_astrometryNet-master-g43362ee2f3+7/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.46; loadPixelBoxStartUserTime=4.047378; loadPixelBoxStartSystemTime=0.428675; loadPixelBoxStartMaxResidentSetSize=313616; loadPixelBoxStartMinorPageFaults=89750; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=48; loadPixelBoxStartBlockOutputs=112; loadPixelBoxStartVoluntaryContextSwitches=35; loadPixelBoxStartInvoluntaryContextSwitches=147461
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.46; loadSkyCircleStartUserTime=4.048413; loadSkyCircleStartSystemTime=0.42968; loadSkyCircleStartMaxResidentSetSize=313616; loadSkyCircleStartMinorPageFaults=89750; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=48; loadSkyCircleStartBlockOutputs=112; loadSkyCircleStartVoluntaryContextSwitches=35; loadSkyCircleStartInvoluntaryContextSwitches=147461
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.46; _readIndexFilesStartUserTime=4.04958; _readIndexFilesStartSystemTime=0.42969799999999997; _readIndexFilesStartMaxResidentSetSize=313616; _readIndexFilesStartMinorPageFaults=89750; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=48; _readIndexFilesStartBlockOutputs=112; _readIndexFilesStartVoluntaryContextSwitches=35; _readIndexFilesStartInvoluntaryContextSwitches=147461
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.47; _readIndexFilesEndUserTime=4.050672; _readIndexFilesEndSystemTime=0.429707; _readIndexFilesEndMaxResidentSetSize=313616; _readIndexFilesEndMinorPageFaults=89750; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=48; _readIndexFilesEndBlockOutputs=120; _readIndexFilesEndVoluntaryContextSwitches=35; _readIndexFilesEndInvoluntaryContextSwitches=147461
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.47; loadSkyCircleEndUserTime=4.057592; loadSkyCircleEndSystemTime=0.429707; loadSkyCircleEndMaxResidentSetSize=313688; loadSkyCircleEndMinorPageFaults=89983; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=48; loadSkyCircleEndBlockOutputs=120; loadSkyCircleEndVoluntaryContextSwitches=35; loadSkyCircleEndInvoluntaryContextSwitches=147461
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.49; loadPixelBoxEndUserTime=4.065318; loadPixelBoxEndSystemTime=0.43066899999999997; loadPixelBoxEndMaxResidentSetSize=313688; loadPixelBoxEndMinorPageFaults=89983; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=48; loadPixelBoxEndBlockOutputs=120; loadPixelBoxEndVoluntaryContextSwitches=35; loadPixelBoxEndInvoluntaryContextSwitches=147461
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.84; _readIndexFilesStartUserTime=4.418928; _readIndexFilesStartSystemTime=0.435683; _readIndexFilesStartMaxResidentSetSize=317752; _readIndexFilesStartMinorPageFaults=90515; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=48; _readIndexFilesStartBlockOutputs=120; _readIndexFilesStartVoluntaryContextSwitches=35; _readIndexFilesStartInvoluntaryContextSwitches=147461
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.85; _readIndexFilesEndUserTime=4.422846; _readIndexFilesEndSystemTime=0.436675; _readIndexFilesEndMaxResidentSetSize=317760; _readIndexFilesEndMinorPageFaults=90521; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=48; _readIndexFilesEndBlockOutputs=120; _readIndexFilesEndVoluntaryContextSwitches=35; _readIndexFilesEndInvoluntaryContextSwitches=147461
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1884224 kB, VmSize: 1884224 kB, VmRSS: 317760 kB, VmData: 404240 kB, Mmaps: 1643, Mmaps: 1884224 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1884480 kB, VmSize: 1884224 kB, VmRSS: 317768 kB, VmData: 404240 kB, Mmaps: 1643, Mmaps: 1884224 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1884480 kB, VmSize: 1883976 kB, VmRSS: 317756 kB, VmData: 404240 kB, Mmaps: 1630, Mmaps: 1883976 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00070700000000024
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+7/meas_extensions_astrometryNet-master-g43362ee2f3+7/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.89; loadPixelBoxStartUserTime=4.459326; loadPixelBoxStartSystemTime=0.44162599999999996; loadPixelBoxStartMaxResidentSetSize=317864; loadPixelBoxStartMinorPageFaults=90554; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=48; loadPixelBoxStartBlockOutputs=128; loadPixelBoxStartVoluntaryContextSwitches=35; loadPixelBoxStartInvoluntaryContextSwitches=147461
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.9; loadSkyCircleStartUserTime=4.461374; loadSkyCircleStartSystemTime=0.441631; loadSkyCircleStartMaxResidentSetSize=317864; loadSkyCircleStartMinorPageFaults=90554; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=48; loadSkyCircleStartBlockOutputs=136; loadSkyCircleStartVoluntaryContextSwitches=35; loadSkyCircleStartInvoluntaryContextSwitches=147462
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.9; _readIndexFilesStartUserTime=4.462537; _readIndexFilesStartSystemTime=0.44164699999999996; _readIndexFilesStartMaxResidentSetSize=317864; _readIndexFilesStartMinorPageFaults=90554; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=48; _readIndexFilesStartBlockOutputs=136; _readIndexFilesStartVoluntaryContextSwitches=35; _readIndexFilesStartInvoluntaryContextSwitches=147462
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.9; _readIndexFilesEndUserTime=4.46362; _readIndexFilesEndSystemTime=0.44165499999999996; _readIndexFilesEndMaxResidentSetSize=317864; _readIndexFilesEndMinorPageFaults=90554; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=48; _readIndexFilesEndBlockOutputs=136; _readIndexFilesEndVoluntaryContextSwitches=35; _readIndexFilesEndInvoluntaryContextSwitches=147462
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.9; loadSkyCircleEndUserTime=4.466968; loadSkyCircleEndSystemTime=0.443692; loadSkyCircleEndMaxResidentSetSize=317864; loadSkyCircleEndMinorPageFaults=90759; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=48; loadSkyCircleEndBlockOutputs=136; loadSkyCircleEndVoluntaryContextSwitches=35; loadSkyCircleEndInvoluntaryContextSwitches=147462
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.91; loadPixelBoxEndUserTime=4.473688; loadPixelBoxEndSystemTime=0.445666; loadPixelBoxEndMaxResidentSetSize=317864; loadPixelBoxEndMinorPageFaults=90759; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=48; loadPixelBoxEndBlockOutputs=136; loadPixelBoxEndVoluntaryContextSwitches=35; loadPixelBoxEndInvoluntaryContextSwitches=147462
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=5.27; _readIndexFilesStartUserTime=4.828485; _readIndexFilesStartSystemTime=0.450605; _readIndexFilesStartMaxResidentSetSize=317864; _readIndexFilesStartMinorPageFaults=90763; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=48; _readIndexFilesStartBlockOutputs=144; _readIndexFilesStartVoluntaryContextSwitches=35; _readIndexFilesStartInvoluntaryContextSwitches=147462
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=5.28; _readIndexFilesEndUserTime=4.8322330000000004; _readIndexFilesEndSystemTime=0.451582; _readIndexFilesEndMaxResidentSetSize=317864; _readIndexFilesEndMinorPageFaults=90769; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=48; _readIndexFilesEndBlockOutputs=144; _readIndexFilesEndVoluntaryContextSwitches=35; _readIndexFilesEndInvoluntaryContextSwitches=147462
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1884480 kB, VmSize: 1884224 kB, VmRSS: 317764 kB, VmData: 404240 kB, Mmaps: 1643, Mmaps: 1884224 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1884480 kB, VmSize: 1884480 kB, VmRSS: 317764 kB, VmData: 404496 kB, Mmaps: 1643, Mmaps: 1884480 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1884480 kB, VmSize: 1883976 kB, VmRSS: 317756 kB, VmData: 404240 kB, Mmaps: 1630, Mmaps: 1883976 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00072199999999967
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+7/meas_extensions_astrometryNet-master-g43362ee2f3+7/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=5.31; loadPixelBoxStartUserTime=4.86883; loadPixelBoxStartSystemTime=0.457642; loadPixelBoxStartMaxResidentSetSize=317864; loadPixelBoxStartMinorPageFaults=90800; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=48; loadPixelBoxStartBlockOutputs=152; loadPixelBoxStartVoluntaryContextSwitches=35; loadPixelBoxStartInvoluntaryContextSwitches=147462
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=5.32; loadSkyCircleStartUserTime=4.870955; loadSkyCircleStartSystemTime=0.457653; loadSkyCircleStartMaxResidentSetSize=317864; loadSkyCircleStartMinorPageFaults=90800; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=48; loadSkyCircleStartBlockOutputs=152; loadSkyCircleStartVoluntaryContextSwitches=35; loadSkyCircleStartInvoluntaryContextSwitches=147462
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=5.32; _readIndexFilesStartUserTime=4.872216; _readIndexFilesStartSystemTime=0.457653; _readIndexFilesStartMaxResidentSetSize=317864; _readIndexFilesStartMinorPageFaults=90800; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=48; _readIndexFilesStartBlockOutputs=152; _readIndexFilesStartVoluntaryContextSwitches=35; _readIndexFilesStartInvoluntaryContextSwitches=147462
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=5.32; _readIndexFilesEndUserTime=4.873308; _readIndexFilesEndSystemTime=0.457653; _readIndexFilesEndMaxResidentSetSize=317864; _readIndexFilesEndMinorPageFaults=90800; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=48; _readIndexFilesEndBlockOutputs=152; _readIndexFilesEndVoluntaryContextSwitches=35; _readIndexFilesEndInvoluntaryContextSwitches=147462
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=5.32; loadSkyCircleEndUserTime=4.877882; loadSkyCircleEndSystemTime=0.45864699999999997; loadSkyCircleEndMaxResidentSetSize=317864; loadSkyCircleEndMinorPageFaults=91005; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=48; loadSkyCircleEndBlockOutputs=152; loadSkyCircleEndVoluntaryContextSwitches=35; loadSkyCircleEndInvoluntaryContextSwitches=147462
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=5.33; loadPixelBoxEndUserTime=4.886824; loadPixelBoxEndSystemTime=0.45864699999999997; loadPixelBoxEndMaxResidentSetSize=317864; loadPixelBoxEndMinorPageFaults=91005; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=48; loadPixelBoxEndBlockOutputs=152; loadPixelBoxEndVoluntaryContextSwitches=35; loadPixelBoxEndInvoluntaryContextSwitches=147462
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=5.7; _readIndexFilesStartUserTime=5.24558; _readIndexFilesStartSystemTime=0.46057699999999996; _readIndexFilesStartMaxResidentSetSize=317864; _readIndexFilesStartMinorPageFaults=91009; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=48; _readIndexFilesStartBlockOutputs=160; _readIndexFilesStartVoluntaryContextSwitches=35; _readIndexFilesStartInvoluntaryContextSwitches=147463
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=5.71; _readIndexFilesEndUserTime=5.251704; _readIndexFilesEndSystemTime=0.46058699999999997; _readIndexFilesEndMaxResidentSetSize=317864; _readIndexFilesEndMinorPageFaults=91017; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=48; _readIndexFilesEndBlockOutputs=160; _readIndexFilesEndVoluntaryContextSwitches=35; _readIndexFilesEndInvoluntaryContextSwitches=147463
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1884480 kB, VmSize: 1884348 kB, VmRSS: 317768 kB, VmData: 404240 kB, Mmaps: 1648, Mmaps: 1884348 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1884604 kB, VmSize: 1884604 kB, VmRSS: 317768 kB, VmData: 404496 kB, Mmaps: 1648, Mmaps: 1884604 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1884604 kB, VmSize: 1884232 kB, VmRSS: 317772 kB, VmData: 404496 kB, Mmaps: 1630, Mmaps: 1884232 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 182
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 77
meas_astrom*an*n_meanxcut = 455
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00074400000000008
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+7/meas_extensions_astrometryNet-master-g43362ee2f3+7/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=5.74; loadPixelBoxStartUserTime=5.286317; loadPixelBoxStartSystemTime=0.467558; loadPixelBoxStartMaxResidentSetSize=317884; loadPixelBoxStartMinorPageFaults=91045; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=48; loadPixelBoxStartBlockOutputs=168; loadPixelBoxStartVoluntaryContextSwitches=35; loadPixelBoxStartInvoluntaryContextSwitches=147463
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=5.74; loadSkyCircleStartUserTime=5.28836; loadSkyCircleStartSystemTime=0.467562; loadSkyCircleStartMaxResidentSetSize=317884; loadSkyCircleStartMinorPageFaults=91045; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=48; loadSkyCircleStartBlockOutputs=168; loadSkyCircleStartVoluntaryContextSwitches=35; loadSkyCircleStartInvoluntaryContextSwitches=147463
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=5.74; _readIndexFilesStartUserTime=5.289532; _readIndexFilesStartSystemTime=0.46757699999999996; _readIndexFilesStartMaxResidentSetSize=317884; _readIndexFilesStartMinorPageFaults=91045; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=48; _readIndexFilesStartBlockOutputs=168; _readIndexFilesStartVoluntaryContextSwitches=35; _readIndexFilesStartInvoluntaryContextSwitches=147463
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=5.75; _readIndexFilesEndUserTime=5.2906130000000005; _readIndexFilesEndSystemTime=0.467584; _readIndexFilesEndMaxResidentSetSize=317884; _readIndexFilesEndMinorPageFaults=91045; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=48; _readIndexFilesEndBlockOutputs=168; _readIndexFilesEndVoluntaryContextSwitches=35; _readIndexFilesEndInvoluntaryContextSwitches=147463
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=5.75; loadSkyCircleEndUserTime=5.297549; loadSkyCircleEndSystemTime=0.467584; loadSkyCircleEndMaxResidentSetSize=317884; loadSkyCircleEndMinorPageFaults=91278; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=48; loadSkyCircleEndBlockOutputs=168; loadSkyCircleEndVoluntaryContextSwitches=35; loadSkyCircleEndInvoluntaryContextSwitches=147463
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=5.76; loadPixelBoxEndUserTime=5.306262; loadPixelBoxEndSystemTime=0.467584; loadPixelBoxEndMaxResidentSetSize=317884; loadPixelBoxEndMinorPageFaults=91278; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=48; loadPixelBoxEndBlockOutputs=176; loadPixelBoxEndVoluntaryContextSwitches=35; loadPixelBoxEndInvoluntaryContextSwitches=147463
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=6.12; _readIndexFilesStartUserTime=5.659623; _readIndexFilesStartSystemTime=0.471551; _readIndexFilesStartMaxResidentSetSize=317884; _readIndexFilesStartMinorPageFaults=91282; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=48; _readIndexFilesStartBlockOutputs=176; _readIndexFilesStartVoluntaryContextSwitches=35; _readIndexFilesStartInvoluntaryContextSwitches=147464
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=6.13; _readIndexFilesEndUserTime=5.663694; _readIndexFilesEndSystemTime=0.471557; _readIndexFilesEndMaxResidentSetSize=317884; _readIndexFilesEndMinorPageFaults=91288; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=48; _readIndexFilesEndBlockOutputs=176; _readIndexFilesEndVoluntaryContextSwitches=35; _readIndexFilesEndInvoluntaryContextSwitches=147464
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1884772 kB, VmSize: 1884472 kB, VmRSS: 317780 kB, VmData: 404496 kB, Mmaps: 1643, Mmaps: 1884472 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1884772 kB, VmSize: 1884472 kB, VmRSS: 317780 kB, VmData: 404496 kB, Mmaps: 1643, Mmaps: 1884472 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1884772 kB, VmSize: 1884232 kB, VmRSS: 317776 kB, VmData: 404496 kB, Mmaps: 1630, Mmaps: 1884232 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00066900000000025
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+7/meas_extensions_astrometryNet-master-g43362ee2f3+7/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=6.17; loadPixelBoxStartUserTime=5.70058; loadPixelBoxStartSystemTime=0.47655; loadPixelBoxStartMaxResidentSetSize=317884; loadPixelBoxStartMinorPageFaults=91313; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=48; loadPixelBoxStartBlockOutputs=184; loadPixelBoxStartVoluntaryContextSwitches=35; loadPixelBoxStartInvoluntaryContextSwitches=147464
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=6.17; loadSkyCircleStartUserTime=5.702623; loadSkyCircleStartSystemTime=0.476553; loadSkyCircleStartMaxResidentSetSize=317884; loadSkyCircleStartMinorPageFaults=91313; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=48; loadSkyCircleStartBlockOutputs=184; loadSkyCircleStartVoluntaryContextSwitches=35; loadSkyCircleStartInvoluntaryContextSwitches=147464
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=6.17; _readIndexFilesStartUserTime=5.703793; _readIndexFilesStartSystemTime=0.47656699999999996; _readIndexFilesStartMaxResidentSetSize=317884; _readIndexFilesStartMinorPageFaults=91313; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=48; _readIndexFilesStartBlockOutputs=184; _readIndexFilesStartVoluntaryContextSwitches=35; _readIndexFilesStartInvoluntaryContextSwitches=147464
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=6.17; _readIndexFilesEndUserTime=5.704883; _readIndexFilesEndSystemTime=0.47657499999999997; _readIndexFilesEndMaxResidentSetSize=317884; _readIndexFilesEndMinorPageFaults=91313; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=48; _readIndexFilesEndBlockOutputs=192; _readIndexFilesEndVoluntaryContextSwitches=35; _readIndexFilesEndInvoluntaryContextSwitches=147464
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=6.17; loadSkyCircleEndUserTime=5.709074; loadSkyCircleEndSystemTime=0.477591; loadSkyCircleEndMaxResidentSetSize=317884; loadSkyCircleEndMinorPageFaults=91542; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=48; loadSkyCircleEndBlockOutputs=192; loadSkyCircleEndVoluntaryContextSwitches=35; loadSkyCircleEndInvoluntaryContextSwitches=147464
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=6.18; loadPixelBoxEndUserTime=5.717833; loadPixelBoxEndSystemTime=0.477591; loadPixelBoxEndMaxResidentSetSize=317884; loadPixelBoxEndMinorPageFaults=91542; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=48; loadPixelBoxEndBlockOutputs=192; loadPixelBoxEndVoluntaryContextSwitches=35; loadPixelBoxEndInvoluntaryContextSwitches=147464
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=6.55; _readIndexFilesStartUserTime=6.076396; _readIndexFilesStartSystemTime=0.48451; _readIndexFilesStartMaxResidentSetSize=317884; _readIndexFilesStartMinorPageFaults=91546; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=48; _readIndexFilesStartBlockOutputs=192; _readIndexFilesStartVoluntaryContextSwitches=35; _readIndexFilesStartInvoluntaryContextSwitches=147464
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=6.77; _readIndexFilesEndUserTime=6.25602; _readIndexFilesEndSystemTime=0.5245879999999999; _readIndexFilesEndMaxResidentSetSize=377972; _readIndexFilesEndMinorPageFaults=106917; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=48; _readIndexFilesEndBlockOutputs=192; _readIndexFilesEndVoluntaryContextSwitches=35; _readIndexFilesEndInvoluntaryContextSwitches=147464
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1968540 kB, VmSize: 1968284 kB, VmRSS: 379164 kB, VmData: 464548 kB, Mmaps: 2837, Mmaps: 1968284 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1968540 kB, VmSize: 1968540 kB, VmRSS: 383232 kB, VmData: 464804 kB, Mmaps: 2837, Mmaps: 1968540 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1968540 kB, VmSize: 1944540 kB, VmRSS: 378332 kB, VmData: 464804 kB, Mmaps: 1631, Mmaps: 1944540 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 11316
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 4708
meas_astrom*an*n_meanxcut = 28738
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.0094079999999996
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+7/meas_extensions_astrometryNet-master-g43362ee2f3+7/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=6.89; loadPixelBoxStartUserTime=6.368853; loadPixelBoxStartSystemTime=0.538579; loadPixelBoxStartMaxResidentSetSize=383588; loadPixelBoxStartMinorPageFaults=110409; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=48; loadPixelBoxStartBlockOutputs=208; loadPixelBoxStartVoluntaryContextSwitches=35; loadPixelBoxStartInvoluntaryContextSwitches=147465
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=6.9; loadSkyCircleStartUserTime=6.370807; loadSkyCircleStartSystemTime=0.538579; loadSkyCircleStartMaxResidentSetSize=383588; loadSkyCircleStartMinorPageFaults=110409; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=48; loadSkyCircleStartBlockOutputs=208; loadSkyCircleStartVoluntaryContextSwitches=35; loadSkyCircleStartInvoluntaryContextSwitches=147465
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=6.9; _readIndexFilesStartUserTime=6.371904; _readIndexFilesStartSystemTime=0.5385829999999999; _readIndexFilesStartMaxResidentSetSize=383588; _readIndexFilesStartMinorPageFaults=110409; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=48; _readIndexFilesStartBlockOutputs=208; _readIndexFilesStartVoluntaryContextSwitches=35; _readIndexFilesStartInvoluntaryContextSwitches=147465
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=6.9; _readIndexFilesEndUserTime=6.372918; _readIndexFilesEndSystemTime=0.538584; _readIndexFilesEndMaxResidentSetSize=383588; _readIndexFilesEndMinorPageFaults=110409; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=48; _readIndexFilesEndBlockOutputs=208; _readIndexFilesEndVoluntaryContextSwitches=35; _readIndexFilesEndInvoluntaryContextSwitches=147465
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=7.02; loadSkyCircleEndUserTime=6.488813; loadSkyCircleEndSystemTime=0.546573; loadSkyCircleEndMaxResidentSetSize=383588; loadSkyCircleEndMinorPageFaults=113707; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=48; loadSkyCircleEndBlockOutputs=208; loadSkyCircleEndVoluntaryContextSwitches=35; loadSkyCircleEndInvoluntaryContextSwitches=147465
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=7.03; loadPixelBoxEndUserTime=6.497813; loadPixelBoxEndSystemTime=0.546573; loadPixelBoxEndMaxResidentSetSize=383588; loadPixelBoxEndMinorPageFaults=113707; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=48; loadPixelBoxEndBlockOutputs=208; loadPixelBoxEndVoluntaryContextSwitches=35; loadPixelBoxEndInvoluntaryContextSwitches=147465
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
...
----------------------------------------------------------------------
Ran 9 tests in 3.521s

OK
Mem0: Memory usage:
max rss: [0.317884, 'MB'] MB
VmPeak 1884772 kB
VmSize 1884232 kB
VmRSS 317776 kB
VmData 404496 kB
VmStk 156 kB
Number of mmaps: 1630
None
FD0: 5
100 multi-index files

Mem1:
Memory usage:
max rss: [0.377972, 'MB'] MB
VmPeak 1967236 kB
VmSize 1967236 kB
VmRSS 377972 kB
VmData 463500 kB
VmStk 156 kB
Number of mmaps: 2836
None
FD1: 5

Mem2:
Memory usage:
max rss: [0.383588, 'MB'] MB
VmPeak 1968540 kB
VmSize 1944540 kB
VmRSS 378332 kB
VmData 464804 kB
VmStk 156 kB
Number of mmaps: 1631
None
FD2: 5

Mem3:
Memory usage:
max rss: [0.383588, 'MB'] MB
VmPeak 1968540 kB
VmSize 1944540 kB
VmRSS 378332 kB
VmData 464804 kB
VmStk 156 kB
Number of mmaps: 1631
None
FD3: 5
